SYNC(1)

NAZWA
sync - opróżnia bufory systemu plików

SKŁADNIA
sync [opcja]

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo sync
lub
    info sync.

Ta strona podręcznika man opisuje polecenie sync w wersji GNU.

Polecenie sync zapisuje wszelkie dane buforowane w pamięci na dysk. Może to obejmować (ale nie ogranicza się do tego) zmienione superbloki, zmienione i-węzły, oraz opóźnione odczyty i zapisy. Musi to być zaimplementowane przez jądro: program sync nie wykonuje niczego poza wywołaniem systemowej funkcji sync.

Jądro systemu przechowuje dane w pamięci, by uniknąć wykonywania (stosunkowo powolnych) odczytów i zapisów dyskowych. Poprawia to wydajność, ale jeżeli komputer pada, w rezultacie mogą zostać utracone dane lub ulec uszkodzeniu system plików. sync daje pewność, że wszystko, co pozostawało w pamięci jest zapisane na dysk.

Ignorowane są wszelkie argumenty, poza pojedynczo występującymi:

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy działanie.

--version
    Wyświetla numer wersji programu i kończy działanie.

AUTOR
Napisane przez Jima Meyering.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz.ang., do <bug-fileutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
fileutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi plikowych GNU wersji 4.01.